Bug 1567936 - config of ovirt-cockpit-sso should be changed by engine-setup
Summary: config of ovirt-cockpit-sso should be changed by engine-setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: cockpit
Version: 4.2.2
Hardware: All
OS: Linux
low
high
Target Milestone: ovirt-4.3.0
: ---
Assignee: Milan Zamazal
QA Contact: Lucie Leistnerova
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 12:56 UTC by Pavol Brilla
Modified: 2020-02-25 12:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the ovirt-cockpit-sso configuration file, cockpit.conf, triggered security and integrity alerts during the verification process. In the current release, the ovirt-cockpit-sso configuration file is marked as a configuration file and is excluded from the verification process, which helps prevent false security and integrity alerts.
Clone Of:
Environment:
Last Closed: 2019-05-08 12:36:40 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1080 None None None 2019-05-08 12:36:42 UTC
oVirt gerrit 93873 master ABANDONED tools: Adjust ovirt-cockpit-sso in engine-setup 2020-02-25 11:00:21 UTC

Description Pavol Brilla 2018-04-16 12:56:11 UTC
Description of problem:
ovirt-cockpit-sso config is changed  by %post in spec, 

# rpm -Vp  $PATH/ovirt-cockpit-sso-0.0.4-1.el7ev.noarch.rpm
S.5....T.    /usr/share/ovirt-cockpit-sso/config/cockpit/cockpit.conf


Version-Release number of selected component (if applicable):
0.0.4-1

How reproducible:
100%


Expected results:
post installation configuration should be handled by engine-setup and not by %post in spec

Comment 1 Pavol Brilla 2018-04-16 12:59:40 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1551517#c5 should be addressable with this proposal as well

Comment 2 Marek Libra 2018-04-16 13:13:02 UTC
Moving post-installation configuration into engine-setup seems to be better approach, anyway %verify can fix the original issue as well: 
https://wiki.test.redhat.com/Faq/Tps/VerifyTest

Comment 3 Michal Skrivanek 2018-07-16 14:29:51 UTC
not ready for 4.2.5. Marek, any updates?

Comment 8 Marek Libra 2018-09-03 12:27:18 UTC
Part of ovirt-cockpit-sso-0.1.0

Comment 9 Milan Zamazal 2018-09-04 08:15:11 UTC
The primary issue of modifying a file not marked as conf file has been solved.

The rest, i.e. not modifying the file in %post and modifying it in engine-setup instead, is handled as https://bugzilla.redhat.com/1622911.

Comment 15 Marek Libra 2018-11-29 15:57:41 UTC
Patch is included in ovirt-cockpit-sso-0.1.1

Comment 17 Lucie Leistnerova 2018-12-11 11:01:29 UTC
Verify test passed - 'rpm -V' had no output

verified in ovirt-cockpit-sso-0.1.1-1.el7.noarch
with ovirt-engine-4.3.0-0.4.master.20181210172657.git88f34ae.el7.noarch

Comment 19 errata-xmlrpc 2019-05-08 12:36:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1080

Comment 20 Daniel Gur 2019-08-28 13:14:35 UTC
sync2jira

Comment 21 Daniel Gur 2019-08-28 13:19:37 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.